Bug 19834 - Masquerading PPTP traffic?
Summary: Masquerading PPTP traffic?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-25 23:42 UTC by Simon Oldfield
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Simon Oldfield 2000-10-25 23:42:51 UTC
Is there a problem masquerading PPTP traffic in the pre-built 2.2.16-22 
kernel supplied with RedHat 7.0?

I have successfully set up to masquerade other traffic (HTTP and FTP), but 
the PPTP masquerading (of a win2000 PPTP client) does not seem to work.  
If I dial my ISP directly from the PPTP client machine then the PPTP stuff 
all works a treat.

When I try and connect through my firewall (RedHat Linux 7.0) then it 
attempts to connect but fails.  I seem to be able to telnet through my 
firewall to port 1723 of the PPTP server, and using tcpdump I can see lots 
of stuff allegedly going through the firewall.

Comment 1 Graham Mainwaring 2000-12-19 02:29:47 UTC
I think there is a problem. I had pptp masquerading working fine under patched 
6.2, but after upgrading to 7.0, all other things remaining the same, pptp 
masquerading via the RH7 default ip_masq_pptp module doesn't work.

Comment 2 Need Real Name 2001-04-03 19:53:55 UTC
http://www.impsec.org/linux/masquerade/ip_masq_vpn.html

states you need this patch:

ftp://ftp.rubyriver.com/pub/jhardin/masquerade/ip_masq_vpn-RH2.16-2.patch.gz

on 7.0.  Unfortunately I have been unable to recompile the kernel after 
applying this patch, but that could be unrelated!

Comment 3 Bugzilla owner 2004-09-30 15:38:50 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.